package com.adealink.weparty.profile.ui.photowall.data


data class ProfilePhotoData(
    val url: String
)

data class PhotoItemData(
    val data: ProfilePhotoData
) {
    var photoWidth: Int? = null
    var photoHeight: Int? = null

    fun getPhotoRatio(): String? {
        val width = photoWidth ?: return null
        val height = photoHeight ?: return null
        if (width <= 0 || height <= 0) {
            return null
        }
        return "${width}:${height}"
    }
}